/* importing google fonts */
@import url('https://fonts.googleapis.com/css2?family=Mukta:wght@800&family=Poppins&family=Roboto&family=Ubuntu&display=swap');

*{
margin: 0;
padding: 0;
box-sizing: border-box;
font-family: 'poppins', sans-serif ;
}
body{
    display: flex;
    align-items: center;
    justify-content: center;
    min-height: 100vh;
    background: darkslategray;
}
:root{
    --primary-color: #edf2fc;
    --secondary-color: darkslategray; 
    --secondary-color1: darkgreen;
}

.dark-theme{
--primary-color: #000106;
    --secondary-color: #fff;
    --secondary-color1: rgb(252, 87, 87);
}
.currency{
    width: 500px;
    /* height: 80vh; */
    padding: 40px;
    border-radius: 8px;
    background: var(--primary-color);
}
.currency header{
    font-size: 31px;
    font-weight: bold;
    text-align: center;
    color: var(--secondary-color1);
    margin-top: 30px;
    cursor: pointer;
    transition: 0.4s;
}
.currency header:hover{
 color: crimson;

}
.nav{
 display: grid;
 grid-template-columns: 3fr 4fr 1fr;
 align-items: center;
justify-content: space-between;

}
.datetime{
    color: var(--secondary-color);
    font-size: 1rem;
    font-weight: bold;
    margin-right: 40px;
}
.time{
    letter-spacing: 1px;
    font-size: 17px;
    text-align: center;
}
.date{
    font-size: 12px;
}

#icon{
    margin-top: 10px;
    margin-right: 10px;
    cursor: pointer;
    border-radius: 50%;
    padding: 1px;
    border: 1px solid rgb(140, 132, 132);
}
.currency form{
    margin: 35px 0 20px 0;
}
.icon{
    color: var(--secondary-color);
}
form :where(input, select, button){
    width: 100%;
    outline: none;
    border: none;
    border-radius: 5px;
}
form p{
    font-size: 20px;
    margin-bottom: 5px;
    font-weight: bold;
    color: var(--secondary-color);
}
form input{
    height: 50px;
    font-size: 17px;
    padding: 0 15px;
    border: 1px solid #999;
}

form input:focus{
    padding: 0 14px;
    border: 2px solid darkgreen;
}

form .drop-list{
    display: flex;
    margin-top: 20px;
    align-items: center;
    justify-content: space-between;
}
.drop-list .select-box{
    display: flex;
    height: 45px;
    width: 175px;
    align-items: center;
    justify-content: center;
    border: 1px solid #999;
}
.select-box select{
    width: 60px;
    font-size: 15px;
    font-weight: bold;
    margin: 0 -15px 0 5px;
}
.select-box img{
    max-width: 40px;

}

.select-box select::-webkit-scrollbar{
    width: 10px;
}
.select-box select::-webkit-scrollbar-track{
    background: #fff;
}
.select-box select::-webkit-scrollbar-thumb{
    background: #888;
    border-radius: 8px;
    border-right: 2px solid #ffffff;
}
.drop-list .icon{
    cursor: pointer;
    font-size: 22px;
    margin-top: 30px;
}
form .exchange-rate{
    display: flex;
    justify-content: space-between;
    font-size: 17px;
    margin: 20px 0 30px;
    color: var(--secondary-color);
    font-weight: 600;
}
form button{
    height: 52px;
    font-size: 18px;
    cursor: pointer;
    color: white;
    background: darkgreen;
    transition: all 0.5s;
}
form button:hover{
    background: rgb(7, 226, 7);
}

a{
    color: var(--secondary-color );
    text-decoration: none;
    font-weight: bold;
    
}
.calc{
    margin-top: 20px;
}

.copy{
    margin-bottom: -25px;
    font-size: 0.7rem;
    font-weight: bold;
    text-align: center;
    color: var(--secondary-color);
}

  /* media query for mobile view */

@media(max-width: 762px){
   .currency{
    width: 375px;
   }

   .drop-list .select-box{
    width: 115px;
    height: 45px;
   }
   .select-box select{
    width: 45px;
    font-size: 10px;
   
}
.select-box img{
    max-width: 30px;

}

.datetime{
    margin-right: 30px;
}
.time{
    letter-spacing: 1px;
    font-size: 15px;
    text-align: center;
}
.date{
    font-size: 10px;
}
}